<script setup lang="ts">
import { useStockStore } from '@/stores/stock';
import { onMounted, ref } from 'vue';
import CheckStockList from './CheckStockList.vue';
import StockBuyList from './StockBuyList.vue';
import StockView from "./StockView.vue";

const stockStore = useStockStore();
onMounted(async () => {
  await stockStore.getStocks();
});


const selected = ref(0);

setInterval(stockStore.getStocks, 1000);
</script>

<template>
  <StockView v-if="selected === 0"></StockView>
  <CheckStockList v-if="selected === 1"></CheckStockList>
  <StockBuyList v-if="selected === 2"></StockBuyList>
  <v-bottom-navigation v-model="selected">
    <v-btn>
      <v-icon icon="mdi-cube-outline"></v-icon><label>สต๊อก</label>
    </v-btn>
    <v-btn>
      <v-icon icon="mdi-note-edit-outline"></v-icon><label>ใบเช็คสต๊อก</label>
    </v-btn>
    <v-btn>
      <v-icon icon="mdi-account-cash-outline"></v-icon><label>ใบสั่งซื้อ</label>
    </v-btn>
  </v-bottom-navigation>
</template>

<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  font-size: 15px !important;
}

</style>